<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");

if(isset($event_tichluythe_on) && $event_tichluythe_on == 1) {
    // Read Event Config
    $tichluythe_arr = _json_fileload('config/event_tichluythe.txt');
    // Read Event Config End
    
    $getcontent_url = $server_url . "/event_tichluythe.php";
    $getcontent_data = array(
        'login'    =>  $_SESSION['mu_username'],
        'name'    =>  $_SESSION['mu_nvchon'],
        
        'string_login'    =>  $_SESSION['checklogin'],
        'passtransfer'    =>  $passtransfer
    );
    
    $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

	if ( empty($reponse) ) $error_module = "Server bảo trì.";
	elseif($reponse == "login_other") {
		$error_module = "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
		session_destroy();
	}
	else {
		if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
            $tichluythe_check = read_TagName($reponse, 'tichluythe_check', 1);
            $gift_danhan = read_TagName($reponse, 'gift_danhan', 1);
            $gift_danhan_arr = json_decode($gift_danhan, true);
		} else echo $reponse;
	}
    
    $page_template = "templates/event/event_tichluythe.tpl";
} else {
    echo "<div class='form-error'>Event chưa bật hoặc chưa đến thời gian diễn ra.</div>";
}

?>